ANNOUNCE: GHC 7.0.2 Release Candidate 2

Bas van Dijk v.dijk.bas at
Mon Feb 21 09:46:18 CET 2011

On 20 February 2011 22:16, Ian Lynagh <igloo at> wrote:
> We are pleased to announce the second release candidate for GHC 7.0.2


I may have found a bug (not sure if it's in ghc or cabal):

$ cabal install unix-compat
Resolving dependencies...
Configuring unix-compat-
cabal: Missing dependency on a foreign library:
* Missing header file: HsUnixCompat.h

HsUnixCompat.h is required by the cabal file:

$ cat unix-compat.cabal | grep include
    include-dirs: include
    includes: HsUnixCompat.h
    install-includes: HsUnixCompat.h

...and is included in the package's include directory:

$ ls include/



More information about the Glasgow-haskell-users mailing list